Skip to content
GET/{organizationId}/{mandateId}/crm/contacts/{contactId}/types/{type}/removal-impact

Preview contact type removal

Checks removal permissions in every contact mandate and reports blockers and consequences without changing the contact.

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
contactIdstringrequired
typestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/contacts/{contactId}/types/{type}/removal-impact
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/types/{type}/removal-impact' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

revisionstringrequired
contactNamestringrequired
removedTeamsnumberrequired
addedTeamsnumberrequired
removedProofsnumberrequired
automaticPassesnumberrequired
hasConnectedUserbooleanrequired
hasAutomationbooleanrequired

Response

200
{
  "revision": "string",
  "contactName": "string",
  "remainingTypes": [
    "member"
  ],
  "blockers": [
    "lastType"
  ],
  "customFields": [
    "string"
  ],
  "removedTeams": 1,
  "addedTeams": 1,
  "removedProofs": 1,
  "automaticPasses": 1,
  "hasConnectedUser": true,
  "hasAutomation": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}